TTTT Analysis 0.1

Public Member Functions | Static Public Member Functions | List of all members
fv::Range< T > Class Template Reference

Calculate the range of the values in a vector. More...

`#include <value.hpp>`

Inheritance diagram for fv::Range< T >:
[legend]
Collaboration diagram for fv::Range< T >:
[legend]

## Public Member Functions
| Range (Value< std::vector< T >> *v, const std::string alias)
Public Member Functions inherited from fv::Reduce< T >
| Reduce (Function< T(std::vector< T >)> &reduce, Value< std::vector< T > > *v, const std::string alias)
Public Member Functions inherited from fv::DerivedValue< T >
| DerivedValue (const std::string &name, const std::string &alias="")
void | log ()
T & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< T >
| Value (const std::string &name, const std::string &alias="")
void | enable_logging (const std::function< std::string(T)> &value_to_string=[](T){return "";})
void | disable_logging ()

## Static Public Member Functions
static std::string | fmt_name (Value< std::vector< T >> *v)

## Additional Inherited Members
Protected Attributes inherited from fv::Reduce< T >
Value< std::vector< T > > * | v
Protected Attributes inherited from fv::DerivedValue< T >
T | value
Protected Attributes inherited from fv::Value< T >
std::function< std::string(T)> | value_to_string

## Detailed Description

### template<typename T>
class fv::Range< T >

Calculate the range of the values in a vector.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp